/*
 * $Id$
 *
 * Copyright (C) 2006 Josh Guilfoyle <jasta@devtcg.org>
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2, or (at your option) any
 * later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 */

#include <gtk/gtk.h>

#include "docklet.h"

#include "../../main.h"

/*****************************************************************************/

#define GCONF_PATH_SETUP "/apps/five/setup"

/*****************************************************************************/

void five_ui_init(int *argc, char ***argv)
{
	gtk_init(argc, argv);
}

void five_ui_finish(void)
{
	/* Do nothing... */
}

void five_ui_main(void)
{
	gboolean setup;

	setup = gconf_client_get_bool(get_gconf_client(),
	  GCONF_PATH_SETUP, NULL);

	if (setup == FALSE)
	{
		/* Normal startup will happen after configuration is finished. */
		setup_create_and_show();
	}
	else
	{
		docklet_create_and_show();
		main_startup(FALSE);
	}

	gtk_main();
}
